#include <bits/stdc++.h>
using namespace std;

int main() {
	ios_base::sync_with_stdio(false);
	cin.tie(NULL);
	cout.tie(NULL);
	long long n, x, y;
	cin >> n;
	for(int i = 0; i < n-1; i++){
		cin >> x >> y;
	}
	cout << 1;
	return 0;
}